package com.citra.pivot.demo;

import java.awt.Dimension;
import java.awt.Toolkit;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.text.DateFormat;

import javax.swing.JFrame;
import javax.swing.UIManager;

import com.citra.pivot.olap.data.DataSource;
import com.citra.pivot.olap.gui.OlapDesignerPanel;
import com.citra.pivot.olap.metadata.OlapCube;
import com.citra.pivot.version.PivotVersion;
import com.sun.java.swing.plaf.windows.WindowsLookAndFeel;

/**
 *
 */
public class OlapDesignerDemo {
/**
 *
 */
public static void main(String[] args) {
	//set the windows ui
	try {
		UIManager.setLookAndFeel(new WindowsLookAndFeel());
	} catch (Exception e) {
		System.out.println(e);
	}

	//create olap designer
	OlapDesignerPanel designer = new OlapDesignerPanel();

	//get a datasource
	DataSource source = OlapTableDemo.getTableDataSource();

	//set the datasource to the designer
	designer.setDataSource(source);

	//add a pivot table based on the first cube
	OlapCube cube = source.getSchema().getCubes().getCube(0);
	designer.createPivot(cube);

	//create frame
	JFrame frame = new JFrame();

	//add it to the frame's content pane
	frame.getContentPane().add(designer);

	String dstr = DateFormat.getDateInstance().format(PivotVersion.getVersionDate());
	frame.setTitle("Citra Pivot Demo version " + PivotVersion.getVersion() + " - " + dstr);
	frame.addWindowListener(new WindowAdapter() {
		public void windowClosing(WindowEvent e) {
			System.exit(0);
		}
	});

	//center and resize frame
	Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
	int width = (int) (screenSize.width * 0.75);
	int height = (int) (screenSize.height * 0.75);
	if (width <= 0) width = 700;
	if (height <= 0) height = 500;
	frame.setSize(width, height);
	Dimension d = frame.getSize();
	frame.setLocation((screenSize.width - d.width) / 2,(screenSize.height - d.height) / 2);

	//show frame
	frame.setVisible(true);
}
}
